## org.eclipse.datatools.sqltools.sqleditor.preferences
Class CodeAssistPage

    java.lang.Object
      org.eclipse.jface.dialogs.DialogPage
          org.eclipse.jface.preference.PreferencePage
              org.eclipse.jface.preference.FieldEditorPreferencePage
                  org.eclipse.datatools.sqltools.common.ui.preferences.AbstractDBPreferenceFieldPage
                      org.eclipse.datatools.sqltools.sqleditor.preferences.CodeAssistPage

All Implemented Interfaces:
  java.util.EventListener, org.eclipse.jface.dialogs.IDialogPage, org.eclipse.jface.dialogs.IMessageProvider, org.eclipse.jface.preference.IPreferencePage, org.eclipse.jface.util.IPropertyChangeListener, org.eclipse.swt.widgets.Listener, org.eclipse.ui.IWorkbenchPreferencePage

    public class CodeAssistPage

extends AbstractDBPreferenceFieldPage

Author:
  Li Huang

Field Summary

Fields inherited from class org.eclipse.jface.preference.FieldEditorPreferencePage
`FLAT, GRID`

Fields inherited from interface org.eclipse.jface.dialogs.IMessageProvider
`ERROR, INFORMATION, NONE, WARNING`

Constructor Summary
`CodeAssistPage()`

Method Summary
`java.lang.String` `getPreferencePageId()`
`void` `init(org.eclipse.ui.IWorkbench workbench)` subclass should override this method to set proper preference store
`boolean` `performOk()` Stores the values of the controls back to the preference store.

Methods inherited from class org.eclipse.datatools.sqltools.common.ui.preferences.AbstractDBPreferenceFieldPage
`handleEvent`

Methods inherited from class org.eclipse.jface.preference.FieldEditorPreferencePage
`dispose, propertyChange, setVisible`

Methods inherited from class org.eclipse.jface.preference.PreferencePage
`applyData, computeSize, createControl, getContainer, getPreferenceStore, isValid, okToLeave, performCancel, performHelp, setContainer, setErrorMessage, setMessage, setPreferenceStore, setSize, setTitle, setValid, toString`

Methods inherited from class org.eclipse.jface.dialogs.DialogPage
`getControl, getDescription, getErrorMessage, getImage, getMessage, getMessageType, getShell, getTitle, setDescription, setImageDescriptor, setMessage`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.jface.preference.IPreferencePage
`computeSize, isValid, okToLeave, performCancel, setContainer, setSize`

Methods inherited from interface org.eclipse.jface.dialogs.IDialogPage
`createControl, dispose, getControl, getDescription, getErrorMessage, getImage, getMessage, getTitle, performHelp, setDescription, setImageDescriptor, setTitle, setVisible`

Constructor Detail

### CodeAssistPage

    public CodeAssistPage()

Method Detail

### performOk

    public boolean performOk()

  Stores the values of the controls back to the preference store. This is called when the user presses the OK or Apply button.

  Specified by:
    `performOk` in interface `org.eclipse.jface.preference.IPreferencePage`
  Overrides:
    `performOk` in class `AbstractDBPreferenceFieldPage`

### init

    public void init(org.eclipse.ui.IWorkbench workbench)

  Description copied from class: `AbstractDBPreferenceFieldPage`
  subclass should override this method to set proper preference store

  Specified by:
    `init` in interface `org.eclipse.ui.IWorkbenchPreferencePage`
  Overrides:
    `init` in class `AbstractDBPreferenceFieldPage`

### getPreferencePageId

    public java.lang.String getPreferencePageId()

  Specified by:
    `getPreferencePageId` in class `AbstractDBPreferenceFieldPage`